Subject: Bug#641957: Infinite loop in /usr/share/debconf/frontend because of unitialized value in WrapI18N.pm

From: Eric Buchlin <[email-masked]>
Date: Sun, 18 Sep 2011 10:14:52 +0200

Package: debconf
Version: 1.5.40
Severity: normal

I tried to upgrade to testing just after a fresh install of squeeze (netinst, KDE):
I changed squeeze to testing in /etc/apt/sources.list, and made an update and upgrade 
within aptitude (interactive). During the installation of libc6,
/usr/share/debconf/frontend has an infinite loop (and takes 100% CPU), with messages

---
Use of uninitialized value $text in concatenation (.) or string at /usr/share/perl5/Text/WrapI18N.pm line 101, <GEN1> line 5.
substr outside of string at /usr/share/perl5/Text/WrapI18N.pm line 130, <GEN1> line 5.
---

The only way out is to kill frontend.

Then the same happens if I try with apt-get -f dist-upgrade (-f is needed
by apt-get, and the same happens with LANG=C).

As a result, the upgrade (here: of package libc6) cannot be done.
Messages after the kill are:

---
dpkg: error processing /var/cache/apt/archives/libc6_2.13-18_i386.deb (--unpack):
 subprocess new pre-installation script kill by signal (Terminated)
configured to not write apport reports
                                      Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.13-18_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
---

-- System Information:
Debian Release: 6.0.2
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages debconf depends on:
ii  perl-base                     5.12.4-4   minimal Perl system

Versions of packages debconf recommends:
ii  apt-utils              0.8.10.3+squeeze1 APT utility programs
ii  debconf-i18n           1.5.36.1          full internationalization support 

Versions of packages debconf suggests:
pn  debconf-doc            <none>            (no description available)
pn  debconf-utils          <none>            (no description available)
pn  libgtk2-perl           <none>            (no description available)
pn  libnet-ldap-perl       <none>            (no description available)
ii  libqtcore4-perl        4.5~~svn1145508-2 perl bindings for the Qt Core libr
ii  libqtgui4-perl         4.5~~svn1145508-2 perl bindings for the Qt Gui libra
pn  libterm-readline-gnu-p <none>            (no description available)
pn  perl                   <none>            (no description available)
ii  whiptail               0.52.11-1         Displays user-friendly dialog boxe

-- debconf information:
  debconf-apt-progress/preparing:
  debconf/frontend: Dialog
  debconf-apt-progress/title:
  debconf/priority: high
  debconf-apt-progress/info:
  debconf-apt-progress/media-change: